foreman-debug:  script says it was successful even when it obv. wasn't.

12/19/2016 02:56 PM - Zach Huntington-Meath

Status: Closed   

Priority: Normal   

Assignee:    

Category: foreman-debug   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1226017 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4505

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1226017

Description of problem:

When something disrupts an upload of a foreman debug file, script still says it is successful, even when it isn't.

Version-Release number of selected component (if applicable):

snap 6 RHEL7

How reproducible:

Steps to Reproduce:

1. foreman-debug -g -v -a -d /tmp/test

2. view results

3.

Actual results:

A debug directory has been created: /tmp/test

You may want to upload the tarball to our public server via rsync. There is a

write only directory (readable only by Foreman core developers) for that. Note

the rsync transmission is UNENCRYPTED:

rsync /tmp/test.tar.xz rsync://theforeman.org/debug-incoming

 Do you want to do this now? [y/N] y

Uploading...

rsync: link_stat "/tmp/test.tar.xz" failed: No such file or directory (2)

rsync error: some files/attrs were not transferred (see previous errors) (code 23) at main.c(1052) [sender=3.0.9]

The tarball has been uploaded, please contact us on mailing list or IRC.

Expected results:

If there is a failure in send, it should not says "The tarball has been uploaded".

Additional info:

Associated revisions

Revision 9ccdc15e - 05/08/2017 10:26 AM - Anurag Patel

Fixes #17771 - Test if rsync successfully uploaded tarball

History
https://bugzilla.redhat.com/show_bug.cgi?id=1226017


#1 - 05/04/2017 09:43 PM - Anurag Patel

Zach Huntington-Meath wrote:

Steps to Reproduce:

1. foreman-debug -g -v -a -d /tmp/test

 Note that this issue may be replicated by removing -a and adding -u option, eg:

foreman-debug -g -v -u -d /tmp/test

#2 - 05/04/2017 09:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/4505 added

#3 - 05/08/2017 11:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9ccdc15e3b8b079df19b043aed07aa116c2a1669.

#4 - 06/14/2017 03:36 PM - Marek Hulán

- translation missing: en.field_release set to 240

Powered by TCPDF (www.tcpdf.org)

05/18/2024 2/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/9ccdc15e3b8b079df19b043aed07aa116c2a1669
http://www.tcpdf.org

